Freeciv-3.1: req_context Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
req_context Struct Reference

`#include <requirements.h>`

## Data Fields

const struct player * | player
const struct city * | city
const struct tile * | tile
const struct unit * | unit
const struct unit_type * | unittype
const struct impr_type * | building
const struct output_type * | output
const struct specialist * | specialist
const struct action * | action

## Detailed Description

Definition at line 99 of file requirements.h.

## Field Documentation

## ◆ action

const struct action* req_context::action

Definition at line 110 of file requirements.h.

Referenced by is_action_req_active().

## ◆ building

const struct impr_type* req_context::building

Definition at line 107 of file requirements.h.

Referenced by dai_wants_defender_against(), is_building_req_active(), and is_buildinggenus_req_active().

## ◆ city

const struct city* req_context::city

Definition at line 101 of file requirements.h.

Referenced by action_prob(), is_action_possible(), is_age_req_active(), is_building_req_active(), is_citystatus_req_active(), is_citytile_req_active(), is_extra_req_active(), is_extraflag_req_active(), is_good_req_active(), is_minculture_req_active(), is_minforeignpct_req_active(), is_minsize_req_active(), is_nationality_req_active(), is_req_knowable(), is_req_unchanging(), is_roadflag_req_active(), is_terrain_req_active(), is_terrainclass_req_active(), is_terrainflag_req_active(), tactical_req_cb(), tri_req_active_turns(), unchanging_building(), and unchanging_citytile().

## ◆ output

const struct output_type* req_context::output

Definition at line 108 of file requirements.h.

Referenced by is_outputtype_req_active().

## ◆ player

const struct player* req_context::player

Definition at line 100 of file requirements.h.

Referenced by action_auto_perf_unit_sel(), action_enabled_local(), action_may_happen_unit_on_city(), action_maybe_possible_actor_unit(), action_prob(), action_prob_vs_units_full(), adjust_improvement_wants_by_effects(), adjust_wants_for_reqs(), ap_dipl_battle_win(), are_road_reqs_fulfilled(), can_city_build_improvement_later(), can_player_build_improvement_direct(), can_player_build_improvement_later(), can_player_build_unit_direct(), city_landlocked_sell_coastal_improvements(), city_style(), city_tile_output(), dai_can_city_build_improvement_later(), dai_can_player_build_improvement_later(), dai_find_source_building(), dai_gov_value(), dai_tech_effect_values(), dai_wants_defender_against(), get_potential_improvement_bonus(), get_target_bonus_effects(), handle_diplomacy_accept_treaty_req(), illegal_action_pay_price(), improvement_obsolete(), is_achievement_req_active(), is_action_enabled_unit_on_units_full(), is_action_possible(), is_age_req_active(), is_ai_req_active(), is_building_req_active(), is_diplrel_req_active(), is_diplrel_tile_req_active(), is_diplrel_unitany_req_active(), is_enabler_active(), is_gov_req_active(), is_minculture_req_active(), is_mintechs_req_active(), is_nation_req_active(), is_nationgroup_req_active(), is_req_knowable(), is_req_unchanging(), is_style_req_active(), is_tech_req_active(), is_techflag_req_active(), player_music_style(), tri_req_active_turns(), unchanging_building(), unit_can_displace_hut(), unit_can_enter_hut(), unit_enter_hut(), utype_needs_improvement(), and worklist_item_postpone_req_vec().

## ◆ specialist

const struct specialist* req_context::specialist

Definition at line 109 of file requirements.h.

Referenced by is_specialist_req_active().

## ◆ tile

const struct tile* req_context::tile

Definition at line 102 of file requirements.h.

Referenced by action_prob(), get_tile_value(), is_action_possible(), is_citytile_req_active(), is_diplrel_tile_o_req_active(), is_diplrel_tile_req_active(), is_diplrel_unitany_o_req_active(), is_diplrel_unitany_req_active(), is_extra_req_active(), is_extraflag_req_active(), is_maxunitsontile_req_active(), is_req_knowable(), is_roadflag_req_active(), is_terrain_req_active(), is_terrainalter_req_active(), is_terrainclass_req_active(), is_terrainflag_req_active(), sg_special_set(), and unchanging_citytile().

## ◆ unit

const struct unit* req_context::unit

Definition at line 105 of file requirements.h.

Referenced by action_prob(), can_unit_do_connect(), is_action_possible(), is_activity_req_active(), is_age_req_active(), is_minhitpoints_req_active(), is_minmovefrags_req_active(), is_minveteran_req_active(), is_req_knowable(), is_unitstate_req_active(), and tri_req_active_turns().

## ◆ unittype

const struct unit_type* req_context::unittype

Definition at line 106 of file requirements.h.

Referenced by adv_units_ruleset_init(), is_action_possible(), is_unitclass_req_active(), is_unitclassflag_req_active(), is_unitflag_req_active(), and is_unittype_req_active().